Coordinated migration to UITK 1.3

Bug #1508363 reported by Michał Sawicz on 2015-10-21
38
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Canonical System Image
High
Alan Pope 🍺🐧🐱 🦄
Tagger
Undecided
Florian Boucault
Ubuntu Calculator App
High
Bartosz Kosiorek
Ubuntu Calendar App
High
Renato Araujo Oliveira Filho
Ubuntu Clock App
High
Bartosz Kosiorek
Ubuntu Document Viewer App
High
Stefano Verzegnassi
Ubuntu Music App
High
Victor Thompson
Ubuntu Notes app
Undecided
Unassigned
Ubuntu Shorts App
High
Joey Chan
Ubuntu Weather App
High
Andrew Hayzen
Weather
Undecided
Unassigned
task-app
Undecided
Florian Boucault
address-book-app (Ubuntu)
High
Renato Araujo Oliveira Filho
calendar-app (Ubuntu)
Undecided
Unassigned
camera-app (Ubuntu)
High
Florian Boucault
dialer-app (Ubuntu)
High
Gustavo Pichorim Boiko
gallery-app (Ubuntu)
High
Arthur Mello
messaging-app (Ubuntu)
High
Tiago Salem Herrmann
music-app (Ubuntu)
Undecided
Unassigned
reminders-app (Ubuntu)
Undecided
Michael Zanetti
ubuntu-clock-app (Ubuntu)
Undecided
Unassigned
ubuntu-system-settings (Ubuntu)
High
Jonas G. Drange
ubuntu-system-settings-online-accounts (Ubuntu)
Undecided
Alberto Mardegan
ubuntu-weather-app (Ubuntu)
Undecided
Unassigned
unity8 (Ubuntu)
High
Albert Astals Cid
webbrowser-app (Ubuntu)
Undecided
Unassigned

Bug Description

The migration to 1.3 needs to happen in a coordinated way, so that shell and all apps we care of migrate within the same OTA window to reduce visual inconsistencies to a minimum.

This bug is a means to collect all the projects affected and keep tabs on what's happening.

NOTES:
- The toolkit has the following modules:
   Ubuntu.Components 1.3
   Ubuntu.Components.ListItems 1.3
   Ubuntu.Components.Pickers 1.3
   Ubuntu.Components.Popups 1.3
   Ubuntu.Components.Styles 1.3
   Ubuntu.Components.Themes 1.3
   Ubuntu.Components.Themes.Ambiance 1.3
   Ubuntu.Components.Themes.SuruDark 1.3

- The following modules were not altered recently:
   Ubuntu.Layouts 1.0
   Ubuntu.PerformanceMetrics 1.0

- Theme is now theme (lowercase)
- PageHeadStyle now has a "config" property

In manifest.json file use:
   "framework": "ubuntu-sdk-15.04.1-qml"

Related branches

Michał Sawicz (saviq) on 2015-10-21
Changed in unity8 (Ubuntu):
status: New → In Progress
assignee: nobody → Albert Astals Cid (aacid)
Michał Sawicz (saviq) on 2015-10-21
affects: dialer-app → dialer-app (Ubuntu)
Olivier Tilloy (osomon) wrote :

The migration was done for webbrowser-app a while back, it was released with version 0.23+15.10.20150810-0ubuntu1.

Changed in webbrowser-app (Ubuntu):
status: New → Fix Released
Bill Filler (bfiller) on 2015-10-21
Changed in canonical-devices-system-image:
assignee: nobody → Bill Filler (bfiller)
milestone: none → ww46-2015
importance: Undecided → High
Changed in address-book-app (Ubuntu):
status: New → In Progress
Changed in dialer-app (Ubuntu):
status: New → In Progress
Changed in messaging-app (Ubuntu):
status: New → In Progress
Changed in ubuntu-system-settings (Ubuntu):
status: New → In Progress
Changed in canonical-devices-system-image:
status: New → In Progress
Michał Sawicz (saviq) on 2015-10-21
description: updated
description: updated
Michał Sawicz (saviq) on 2015-10-21
description: updated
Bill Filler (bfiller) on 2015-10-21
Changed in address-book-app (Ubuntu):
assignee: nobody → Renato Araujo Oliveira Filho (renatofilho)
importance: Undecided → High
Changed in camera-app (Ubuntu):
assignee: nobody → Florian Boucault (fboucault)
importance: Undecided → High
Changed in dialer-app (Ubuntu):
assignee: nobody → Gustavo Pichorim Boiko (boiko)
importance: Undecided → High
Changed in gallery-app (Ubuntu):
assignee: nobody → Arthur Mello (artmello)
importance: Undecided → High
status: New → In Progress
Changed in messaging-app (Ubuntu):
assignee: nobody → Tiago Salem Herrmann (tiagosh)
importance: Undecided → High
Changed in ubuntu-system-settings (Ubuntu):
assignee: nobody → jgdx (jgdx)
importance: Undecided → High
assignee: jgdx (jgdx) → Jonas G. Drange (jonas-drange)
Michał Sawicz (saviq) on 2015-10-21
Changed in unity8 (Ubuntu):
importance: Undecided → High
Alberto Mardegan (mardy) on 2015-10-22
Changed in ubuntu-system-settings-online-accounts (Ubuntu):
assignee: nobody → Alberto Mardegan (mardy)
status: New → In Progress
Changed in camera-app (Ubuntu):
status: New → In Progress
Changed in ubuntu-clock-app:
assignee: nobody → Bartosz Kosiorek (gang65)
importance: Undecided → High
status: New → In Progress
Changed in ubuntu-calculator-app:
assignee: nobody → Bartosz Kosiorek (gang65)
importance: Undecided → High
status: New → In Progress
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in calendar-app (Ubuntu):
status: New → Confirmed
Changed in music-app (Ubuntu):
status: New → Confirmed
Changed in reminders-app (Ubuntu):
status: New → Confirmed
Changed in ubuntu-clock-app (Ubuntu):
status: New → Confirmed
Changed in ubuntu-weather-app (Ubuntu):
status: New → Confirmed
Andrew Hayzen (ahayzen) on 2015-10-22
Changed in music-app:
importance: Undecided → High
status: New → In Progress
Changed in ubuntu-weather-app:
assignee: nobody → Andrew Hayzen (ahayzen)
importance: Undecided → High
status: New → Triaged
Changed in reminders-app (Ubuntu):
assignee: nobody → Michael Zanetti (mzanetti)
status: Confirmed → Fix Committed
description: updated
Changed in ubuntu-docviewer-app:
assignee: nobody → Stefano Verzegnassi (verzegnassi-stefano)
importance: Undecided → High
status: New → In Progress
Changed in music-app:
assignee: nobody → Victor Thompson (vthompson)
Joey Chan (qqworini) wrote :

How about "Ubuntu.Content 1.1" ? also change to 1.3 ?

Zsombor Egri (zsombi) wrote :

@Joey Ubuntu.Content is not part of the Ubuntu UI Toolkit project the version of that is not driven by the toolkit versioning.

The toolkit has the following modules:
Ubuntu.Components 1.3
Ubuntu.Components.ListItems 1.3
Ubuntu.Components.Pickers 1.3
Ubuntu.Components.Popups 1.3
Ubuntu.Components.Styles 1.3
Ubuntu.Components.Themes 1.3
Ubuntu.Components.Themes.Ambiance 1.3
Ubuntu.Components.Themes.SuruDark 1.3

The following modules were not altered recently:
Ubuntu.Layouts 1.0
Ubuntu.PerformanceMetrics 1.0

Michał Sawicz (saviq) on 2015-10-23
description: updated
Zsombor Egri (zsombi) on 2015-10-23
description: updated

Can we then target all the changes included in UITK 1.3.1676+15.04.20151008-0ubuntu1, landed in OTA-7 (including new Label property, ListItemLayout, etc.)?

Michał Sawicz (saviq) on 2015-10-23
description: updated
Joey Chan (qqworini) on 2015-10-24
Changed in ubuntu-rssreader-app:
assignee: nobody → Joey Chan (qqworini)
importance: Undecided → High
status: New → In Progress
Andrea Bernabei (faenil) wrote :

Is the plan just to update the imports to 1.3? Or should we adapt the apps to use the new features coming from 1.3?

So far all MRs implemented the former, but I haven't seen any using the new 1.3 specific components, hence the question :)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package camera-app - 3.0.0+16.04.20151026-0ubuntu1

---------------
camera-app (3.0.0+16.04.20151026-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.
  * Resync trunk.

  [ Florian Boucault ]
  * Migrated to using Ubuntu UI Toolkit version 1.3 only. Migrated to
    using QtQuick 2.4 and QtQuick.Window 2.2 only. (LP: #1508363)

  [ James Henstridge ]
  * After shooting a video, request a thumbnail so that it will be
    available in the cache when needed (e.g. by the Gallery or Dash).

 -- Florian Boucault <email address hidden> Mon, 26 Oct 2015 13:19:17 +0000

Changed in camera-app (Ubuntu):
status: In Progress → Fix Released

W dniu 24.10.2015 o 11:59, Andrea Bernabei pisze:
> Is the plan just to update the imports to 1.3? Or should we adapt the
> apps to use the new features coming from 1.3?
>
> So far all MRs implemented the former, but I haven't seen any using the
> new 1.3 specific components, hence the question :)

Remember *click* apps can only rely on a UITK from a few weeks ago to be
available, as that's when the framework was defined.

As for debs, do what you need, but care to depend on the correct version
of UITK, or higher.

Victor Thompson (vthompson) wrote :

The Music and Weather app teams have been trying to determine how we can read the MainView or Page's Header height with the new API. With the updated imports to UITK 1.3 we are unable to do things like the following:

edgeLoader.item.flickable.contentY = -page.header.height

A large number of apps (clock, weather, filemanager, and probably others) use a PageWithBottomEdge component that make this or similar assignments. [1][2][3][4]

How can we access the height of the header in a reasonable fashion that also includes any Header Sections that may also be defined?

1- http://bazaar.launchpad.net/~ubuntu-weather-dev/ubuntu-weather-app/reboot/view/head:/app/components/PageWithBottomEdge.qml#L111
2 - http://bazaar.launchpad.net/~ubuntu-clock-dev/ubuntu-clock-app/trunk/view/head:/app/upstreamcomponents/PageWithBottomEdge.qml#L107
3 - http://bazaar.launchpad.net/~ubuntu-filemanager-dev/ubuntu-filemanager-app/trunk/view/head:/src/app/qml/upstream/PageWithBottomEdge.qml#L108
4 - http://bazaar.launchpad.net/~music-app-dev/music-app/trunk/view/head:/app/ui/NowPlaying.qml#L143

Andrea Bernabei (faenil) wrote :

@Saviq: my question still stands :)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-system-settings - 0.3+16.04.20151023.1-0ubuntu1

---------------
ubuntu-system-settings (0.3+16.04.20151023.1-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Ken VanDine ]
  * Bump Ubuntu.Components imports to 1.3 and fixed UbuntuShape
    deprecations (LP: #1508363)

  [ jonas-drange ]
  * re-add silentMode property to repair the silent mode switch

 -- <email address hidden> (Jonas G. Drange) Fri, 23 Oct 2015 14:57:29 +0000

Changed in ubuntu-system-settings (Ubuntu):
status: In Progress → Fix Released
Zsombor Egri (zsombi) wrote :

Victor and others, in order to get the header height you need to set the Page.header first. Page.header is null by default, so no wonder you cannot get the height. You can do something like

Page {
    header: PageHeader {
    }

}

Then you will have the header set and you can use that to get the height. The component is present in UITK trunk, however I do not see its documentation under d.u.c...

Victor Thompson (vthompson) wrote :

Zsombor,

Functionally, there already is a header, so why should a developer need to define one explicitly? Won't explicitly defining one override the already visible header?

What I'm asking for is simply a means of ascertaining the current header's height. I believe the inability to do so, currently, is a regression.

Zsombor Egri (zsombi) wrote :

Victor,

You are right, there is one header per application. Which means that all pages in an application use that header. However that would be broken when you'd use the AdaptivePageLayout, which has as many headers as columns. Therefore we are preparing to move the header in the page, so each page will get a header of its own. Yet we have both solutions in place, thats' why you still see a header even if you don't set one on the Page.

So, in the future of 1.3, you will have to set the header of the page yourself. Which means there will be as many headers as many pages require one. The one from MainView will disappear once we finish all the work we have for the header and its subcomponents.

When you say "With the updated imports to UITK 1.3 we are unable to do things like the following: edgeLoader.item.flickable.contentY = -page.header.height" - I am sorry to say that the Page.header property was never documented, and used for private purposes. We do not promise any compatibility for private or undocumented properties, especially when the property comes from a super type, which is also internal. Whilst it is a regression, switching to 1.3 would anyways require you to go with the way I described before - specifying the header for your page within the page.

Fix committed into lp:ubuntu-rssreader-app at revision None, scheduled for release in ubuntu-rssreader-app, milestone Unknown

Changed in ubuntu-rssreader-app:
status: In Progress → Fix Committed
Changed in ubuntu-calendar-app:
assignee: nobody → Alan Pope  (popey)
status: New → In Progress
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-system-settings-online-accounts - 0.7+16.04.20151030.1-0ubuntu1

---------------
ubuntu-system-settings-online-accounts (0.7+16.04.20151030.1-0ubuntu1) xenial; urgency=medium

  [ Alberto Mardegan ]
  * Use version 1.3 of Ubuntu.Components (LP: #1508363, #1511055)

  [ CI Train Bot ]
  * Resync trunk.

 -- David Barth <email address hidden> Fri, 30 Oct 2015 15:41:24 +0000

Changed in ubuntu-system-settings-online-accounts (Ubuntu):
status: In Progress → Fix Released

Fix committed into lp:music-app at revision 932, scheduled for release in music-app, milestone 3.0

Changed in music-app:
status: In Progress → Fix Committed
Andrew Hayzen (ahayzen) on 2015-11-02
Changed in ubuntu-weather-app:
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity8 - 8.11+16.04.20151104-0ubuntu1

---------------
unity8 (8.11+16.04.20151104-0ubuntu1) xenial; urgency=medium

  [ Albert Astals Cid ]
  * Add an Item that proxies for old and new audio roles (LP: #1493851)
  * CroppedImageMinimumSourceSize: Fix 'Binding loop detected for
    property "imageAspectRatio"'
  * Make the scope settings list scroll to text visible area (LP:
    #1499084)
  * Move to importing QtQuick 2.4 & friends
  * Use SDK 1.3 across all files (LP: #1503498, #1508363, #1449628)

  [ Andrea Cimitan ]
  * Add sharing widget to zoomable image and video playback
  * Make zoomable and video playback widgets edge to edge
  * Updated all 1.3 UbuntuShape to use new APIs where possible
  * Use SDK 1.3 across all files (LP: #1503498, #1508363, #1449628)

  [ CI Train Bot ]
  * Resync trunk.

  [ Christopher Lee ]
  * Quick spelling fix in process control output.

  [ Daniel d'Andrada ]
  * Enable support for overriding application orientations based on
    device type (LP: #1478637)
  * Use SDK 1.3 across all files (LP: #1503498, #1508363, #1449628)
  * Use SDK 1.3 across all files (LP: #1503498, #1508363, #1449628)

  [ Josh Arenson ]
  * Enable support for overriding application orientations based on
    device type (LP: #1478637)

  [ Michael Terry ]
  * Avoid showing the shutdown dialog when turning on the screen if your
    device is under heavy load. (LP: #1508563)
  * Handle lifecycle policy exceptions ourselves, instead of letting
    qtmir do it for us and allow non-Touch apps to opt-out of the Touch
    lifecycle.

  [ Michael Zanetti ]
  * Fixes for the panel buttons (LP: #1510360, #1504269, #1431566,
    #1443319)
  * Use SDK 1.3 across all files (LP: #1503498, #1508363, #1449628)

  [ Michał Sawicz ]
  * Add missing copyright to Cursor.qml
  * Enable support for overriding application orientations based on
    device type (LP: #1478637)
  * Support server->client visibility change to stop rendering
    (lp:#1475678) (LP: #1475678)

  [ Nick Dedekind ]
  * Support server->client visibility change to stop rendering
    (lp:#1475678) (LP: #1475678)

 -- Michał Sawicz <email address hidden> Wed, 04 Nov 2015 14:58:41 +0000

Changed in unity8 (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gallery-app - 0.0.67+16.04.20151106-0ubuntu1

---------------
gallery-app (0.0.67+16.04.20151106-0ubuntu1) xenial; urgency=medium

  [ Arthur Mello ]
  * Update QML code to work with Ubuntu.Components 1.3 (LP: #1508363)
  * Use a Loader for OrganicMediaLst delegates to avoid crashes when
    loading multiple files (LP: #1475210, #1470109)

  [ CI Train Bot ]
  * New rebuild forced.

 -- Bill Filler <email address hidden> Fri, 06 Nov 2015 14:05:26 +0000

Changed in gallery-app (Ubuntu):
status: In Progress → Fix Released
Bill Filler (bfiller) on 2015-11-10
Changed in dialer-app (Ubuntu):
status: In Progress → Fix Committed
Changed in address-book-app (Ubuntu):
status: In Progress → Fix Committed
Changed in messaging-app (Ubuntu):
status: In Progress → Fix Committed
Changed in canonical-devices-system-image:
assignee: Bill Filler (bfiller) → Alan Pope  (popey)
Pat McGowan (pat-mcgowan) wrote :

Remaining apps will get out over the next couple weeks

Changed in canonical-devices-system-image:
milestone: ww46-2015 → ww02-2016
Changed in music-app:
status: Fix Committed → Fix Released

Fix committed into lp:ubuntu-calculator-app at revision 241, scheduled for release in ubuntu-calculator-app, milestone Unknown

Changed in ubuntu-calculator-app:
status: In Progress → Fix Committed

Fix committed into lp:ubuntu-weather-app at revision 180, scheduled for release in ubuntu-weather-app, milestone 2.0

Changed in ubuntu-weather-app:
status: In Progress → Fix Committed

Fix committed into lp:ubuntu-docviewer-app at revision 210, scheduled for release in ubuntu-docviewer-app, milestone Unknown

Changed in ubuntu-docviewer-app:
status: In Progress → Fix Committed
Changed in ubuntu-weather-app:
status: Fix Committed → Fix Released
Changed in ubuntu-docviewer-app:
status: Fix Committed → Fix Released

Fix committed into lp:ubuntu-clock-app at revision 421, scheduled for release in ubuntu-clock-app, milestone 3.7

Changed in ubuntu-clock-app:
status: In Progress → Fix Committed
Changed in ubuntu-clock-app:
milestone: none → 3.7
Changed in weather-app:
status: New → Fix Released
Changed in canonical-devices-system-image:
milestone: ww02-2016 → ww08-2016
Changed in tagger:
assignee: nobody → Florian Boucault (fboucault)
status: New → In Progress
Changed in reminders-app:
status: New → Fix Committed
Changed in task-app:
assignee: nobody → Florian Boucault (fboucault)
status: New → In Progress
Changed in tagger:
status: In Progress → Fix Released
Changed in ubuntu-calendar-app:
assignee: Alan Pope  (popey) → Renato Araujo Oliveira Filho (renatofilho)
milestone: none → 0.5
status: In Progress → Fix Released
Changed in ubuntu-clock-app:
milestone: 3.7 → 3.8
milestone: 3.8 → 3.7
status: Fix Committed → Fix Released
Pat McGowan (pat-mcgowan) wrote :

Closing even with tasks yet to land, should update soon

Changed in canonical-devices-system-image:
status: In Progress → Fix Committed
Changed in canonical-devices-system-image:
status: Fix Committed → Fix Released
Changed in address-book-app (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-calculator-app:
status: Fix Committed → Fix Released
Changed in reminders-app (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers